Hi,
can anyone help me with automating "Multiple broken views" in same direction. I would like to get this with vba::
The code seems to break when it gets to creating second BrokenView
Sub CATMain()
Dim drawingDocument1 As DrawingDocument
Set drawingDocument1 = CATIA.ActiveDocument
Dim...
Hello.
I have one question. Does anyone use kwe_contextual links? Until recently this kind of links sounded to me like oxymoron. Now I have a case where I have to extract some KWE values from one assembly to several others. The source assembly must be exchangeable. Here I have two scenarios...
Hello.
I have a little problem that I'm stuck with. So here's the thing. We do not use any professional PDM platform in our office, so I'm not familiar with any of their solutions for my problem. I'm trying to make a library of standard parts on network that would be used in different projects...
Hello,
here I have some code that I work on and I've hit a wall.
What it does. The idea is that the "break view" in drawing always has same size no mater if the referenced part changes its length. So I decided to automatically remove a existing break and create a new one according to new "3d...
Hi,
Could anyone please explain to me on what ground does Catia pick the order of part refresh in assembly and how to change it? My problem is explained in next example::
assembly.1
- part.1
- boolean parameter "part.2 activity"
- part.2
- etc.
Action: Refresh on "assembly.1" level...
Hello
can anyone please explain to me why this rule has infinitive refresh problem?
Let OpenBodyFeature1 (OpenBodyFeature)
Let OpenBodyFeature2 (OpenBodyFeature)
Let OpenBodyFeature3 (OpenBodyFeature)
Let OpenBodyFeature4 (OpenBodyFeature)
set OpenBodyFeature1 = `Geometrija...
Hi.
I am trying to write a script that would find and sort all the external links, in an assembly, into next classes:
1. OK
2. Not synchronized
3. Document not found
4. Document not loaded
5. Reference not found
so I can repair bolded ones. I need this only for external parameters so I'm...
Hi guys. Could anyone please help me with a problem... This macro does not go trough and I don't know what I'm doing wrong. I'm running it on a structure attached in post. The macro does not rename Product2/Part2 (Part2.2) to (Part2-temp.4).
Thanks
Roman
Option Explicit
Sub CATMain()
Dim...